<!DOCTYPE html>

<html>

<head>

    <% include ../partials/head %>
    <!--  Special input stylehseet -->
    <link href="/public/stylesheet/css/stylesheet_slider.css" type="text/css" rel="stylesheet" />
    <link href="/public/stylesheet/css/stylesheet_toggle.css" type="text/css" rel="stylesheet" />
    <%include ../partials/navbar %>
    <%include ../partials/header %>
    <title> Panneau RAM </title>

</head>

<body>
  <br><br><br><br>
  <% if(currentUser.user_access >= 2) { %>
<div class="form-group" style="padding-left: 15px;">
  <label for="mode_select"> Mode d'opération : </label>
  <select class="form-control" id="mode_select" style="width: 150px; display: inline;" onchange="changeMode();">
    <option value="auto"> Automatique </option>
    <option value="manu"> Manuel </option>
  </select>
</div>
  <% } %>

<div class="row padding-top-10" style="padding-left: 10px; padding-right: 10px;">
    <div class="col-md-6" onclick="resetLastAction();">
      <div class="panel panel-default">
        <div class="panel-heading"> <h3><u><b> Niveau d'eau </b></u></h3> </div>
        <div class="panel-body">
          <br>
          <div class="row">
            <div class="col-md-6">
              <h4 align="center"><b> Grand bassin </b></h4>
              <div align="center">
                <canvas id="gauge_NivGB"> Votre navigateur n'est pas supporté. </canvas>
                <% if(currentUser.user_access >= 2) { %>
<div class="autoMode">
                <br>
                <label for="num_NivGB"> Niveau cible: </label>
                <input type="number" id="num_ConsNivGB" onclick="nivInput('ConsNivGB');" onkeyup="nivInput('ConsNivGB');" min="0" max="100"> %
</div>
              <% } %>
              </div>
            </div>
            <div class="col-md-6">
              <h4 align="center"><b> Petit bassin </b></h4>
              <div align="center">
                <canvas id="gauge_NivPB"> Votre navigateur n'est pas supporté. </canvas>
                <% if(currentUser.user_access >= 2) { %>
<div class="autoMode">
                <br>
                <label for="num_NivPB"> Niveau cible: </label>
                <input type="number" id="num_ConsNivPB" onclick="nivInput('ConsNivPB');" onkeyup="nivInput('ConsNivPB');" min="0" max="100"> %
</div>
              <% } %>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading"> <h3><u><b> Température du petit bassin </b></u></h3> </div>
        <div class="panel-body">
          <br>
          <div class="row">
            <canvas id="gauge_TmpPB"> Votre navigateur n'est pas supporté. </canvas>
          </div>
          <% if(currentUser.user_access >= 2) { %>
<div class="autoMode">
          <div class="row">
            <div class="slidecontainer padding-top-10">
              <input type="range" min="1" max="100" value="1" class="sliderTemp" id="slider_ConsTmpPB" oninput="sliderInputDisplay('ConsTmpPB', 'display_ConsTmpPB_target')" onmouseup="sliderInput('ConsTmpPB');">
              <br>
              <p><b> Température cible: <span id="display_ConsTmpPB_target">0</span> °C </b></p>
            </div>
          </div>
</div>
        <% } %>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading"> <h3><u><b> Pompe </b></u></h3> </div>
        <div class="panel-body">
          <div class="row">
            <br>
            <% if(currentUser.user_access >= 2) { %>
              <label class="switch">
                <input type="checkbox"  class="manuModeInput" id="switch_Pompe" onclick="switchInput('Pompe');">
                <span class="slider round"></span>
              </label>
            <% } %>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-3">
      <div class="panel panel-default">
        <div class="panel-heading"> <h3><u><b> Plomberie </b></u></h3> </div>
        <div class="panel-body">
          <br>
          <h4 align="center"><b> Valve du grand bassin </b></h4>
          <div class="row">
            <div class="col-md-10">
              <canvas id="gauge_ValveGB" onclick=<%= (currentUser.user_access >= 2) ? "gaugeAction(1, '');" : "" %>> Votre navigateur n'est pas supporté. </canvas>
            </div>
            <div class="col-md-2">
              <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
              <div class="row" style="padding-top: 40px;">
                <button type="button" class="btn btn-default font-size-x2"  data-toggle="tooltip" data-placement="right" title="Augmenter" id="buttonUp1" onclick="gaugeAction(1, 'up');"> &#x25B5; </button>
              </div>
              <div class="row">
                <button type="button" class="btn btn-default font-size-x2" data-toggle="tooltip" data-placement="right" title="Réduire" id="buttonDown1" onclick="gaugeAction(1, 'down');"> &#x25BF; </button>
              </div>
</div>
              <% } %>
            </div>
          </div>
          <h4 align="center"><b> Valve du petit bassin </b></h4>
          <div class="row">
            <div class="col-md-10">
              <canvas id="gauge_ValvePB" onclick=<%= (currentUser.user_access >= 2) ? "gaugeAction(2, '');" : "" %>> Votre navigateur n'est pas supporté. </canvas>
            </div>
            <div class="col-md-2">
              <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
              <div class="row" style="padding-top: 40px;">
                <button type="button" class="btn btn-default font-size-x2"  data-toggle="tooltip" data-placement="right" title="Augmenter" id="buttonUp2" onclick="gaugeAction(2, 'up');"> &#x25B5; </button>
              </div>
              <div class="row">
                <button type="button" class="btn btn-default font-size-x2" data-toggle="tooltip" data-placement="right" title="Réduire" id="buttonDown2" onclick="gaugeAction(2, 'down');"> &#x25BF; </button>
              </div>
</div>
            <% } %>
            </div>
          </div>
          <h4 align="center"><b> Valve de l'eau chaude </b></h4>
          <div class="row">
            <div class="col-md-10">
              <canvas id="gauge_ValveEC" onclick=<%= (currentUser.user_access >= 2) ? "gaugeAction(3, '');" : "" %>>> Votre navigateur n'est pas supporté. </canvas>
            </div>
            <div class="col-md-2">
              <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
              <div class="row" style="padding-top: 40px;">
                <button type="button" class="btn btn-default font-size-x2"  data-toggle="tooltip" data-placement="right" title="Augmenter" id="buttonUp3" onclick="gaugeAction(3, 'up');"> &#x25B5; </button>
              </div>
              <div class="row">
                <button type="button" class="btn btn-default font-size-x2" data-toggle="tooltip" data-placement="right" title="Réduire" id="buttonDown3" onclick="gaugeAction(3, 'down');"> &#x25BF; </button>
              </div>
</div>
            <% } %>
            </div>
          </div>

          <h4 align="center"><b> Valve de l'eau froide </b></h4>
          <div class="row">
            <div class="col-md-10">
              <canvas id="gauge_ValveEF" onclick=<%= (currentUser.user_access >= 2) ? "gaugeAction(4, '');" : "" %>> Votre navigateur n'est pas supporté. </canvas>
            </div>
            <div class="col-md-2">
              <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
              <div class="row" style="padding-top: 40px;">
                <button type="button" class="btn btn-default font-size-x2"  data-toggle="tooltip" data-placement="right" title="Augmenter" id="buttonUp4" onclick="gaugeAction(4, 'up');"> &#x25B5; </button>
              </div>
              <div class="row">
                <button type="button" class="btn btn-default font-size-x2" data-toggle="tooltip" data-placement="right" title="Réduire" id="buttonDown4" onclick="gaugeAction(4, 'down');"> &#x25BF; </button>
              </div>
</div>
            <% } %>
            </div>
          </div>
          <h4 align="center"><b> Valves d'accès </b></h4>
          <p><b> Eau chaude : </b><p>
            <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
          <label class="switch">
            <input type="checkbox" id="switch_ValveEEC" onclick="switchInput('ValveEEC');">
            <span class="slider round"></span>
          </label>
</div>
          <% } %>
<div class=<%= (currentUser.user_access >= 2) ? "autoMode" : "" %>>
          <div id="display_ValveEEC" class="offZone"> <p align="center"><b id="zoneText_ValveEEC"> OFF </b></p> </div>
</div>
          <p><b> Eau froide : </b><p>
          <% if(currentUser.user_access >= 2) { %>
<div class="manuMode">
          <label class="switch">
            <input type="checkbox" id="switch_ValveEEF" onclick="switchInput('ValveEEF');">
            <span class="slider round"></span>
          </label>
</div>
          <% } %>
<div class=<%= (currentUser.user_access >= 2) ? "autoMode" : "" %>>
          <div id="display_ValveEEF" class="offZone"> <p align="center"><b id="zoneText_ValveEEF"> OFF </b></p> </div>
</div>
        </div>
      </div>
    </div>
    <div class="col-md-3" onclick="resetLastAction();">
      <div class="panel panel-default">
        <div class="panel-heading"> <h3><u><b> Power Meter Elkor™ </b></u></h3> </div>
        <div class="panel-body">
          <br>
          <h4><b> Voltage A_N (V) </b></h4>
          <canvas id="display_Van" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Voltage B_N (V) </b></h4>
          <canvas id="display_Vbn" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Voltage A_B (V) </b></h4>
          <canvas id="display_Vab" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Intensité de courant A (mA) </b></h4>
          <canvas id="display_Ia" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Intensité de courant B (mA) </b></h4>
          <canvas id="display_Ib" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Consommation (KWh) </b></h4>
          <canvas id="display_KW" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Puissance (KW) </b></h4>
          <canvas id="display_KWh" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
          <h4><b> Facteur de puissance </b></h4>
          <canvas id="display_FP" width="260" height="140" class="seven_seg_style"> Votre navigateur n'est pas supporté. </canvas>
        </div>
      </div>
    </div>
</div>

    <% include ../partials/footer %>
    <%include ../partials/parsers %>
    <% include ../partials/libs %>
    <% include ../partials/alarm_popup %>
    <script src="/public/scripts/js/script_panel.js"></script>
</body>

</html>
